package metadata

type Comment struct {
	// human-readable name of the comment author
	Author *string `json:"author"`

	// user ID of the comment author
	AuthorID *string `json:"author_id"`

	// The thumbnail of the comment author
	AuthorThumbnail *string `json:"author_thumbnail"`

	// Comment ID
	ID *string `json:"id"`

	// Comment as HTML
	HTML *string `json:"html"`

	// Plain text of the comment
	Text *string `json:"text"`

	// UNIX timestamp of comment
	Timestamp *float64 `json:"timestamp"`

	// ID of the comment this one is replying to.
	// Set to "root" to indicate that this is a
	// comment to the original video.
	Parent string `json:"parent"`

	// Number of positive ratings of the comment
	LikeCount *int64 `json:"like_count"`

	// Number of negative ratings of the comment
	DislikeCount *int64 `json:"dislike_count"`

	// Whether the comment is marked as
	// favorite by the video uploader
	IsFavorited bool `json:"is_favorited"`

	// Whether the comment is made by
	// the video uploader
	AuthorIsUploader bool `json:"author_is_uploader"`
}
