package metadata

type Subtitle struct {
	// Will be calculated from URL if missing
	Ext string `json:"ext"`

	// The subtitles file contents
	Data string `json:"data"`

	// A URL pointing to the subtitles file
	Url string `json:"url"`

	// Name or description of the subtitles
	Name string `json:"name"`

	// A dictionary of additional HTTP headers to add to the request.
	HttpHeaders map[string]string `json:"http_headers"`
}
